Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::ILocalAudioTrack::LocalAudioTrackStats Struct Reference

`#include <NGIAgoraAudioTrack.h>`

## Public Member Functions
| LocalAudioTrackStats ()

## Public Attributes
uint32_t | source_id
uint32_t | buffered_pcm_data_list_size
uint32_t | missed_audio_frames
uint32_t | sent_audio_frames
uint32_t | pushed_audio_frames
uint32_t | dropped_audio_frames
uint32_t | playout_audio_frames
uint32_t | effect_type
uint32_t | hw_ear_monitor
bool | enabled
uint32_t | audio_volume

## Detailed Description

Statistics of a local audio track.

## Constructor & Destructor Documentation

## ◆ LocalAudioTrackStats()

agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::LocalAudioTrackStats | ( |  | ) |
| inline

## Member Data Documentation

## ◆ source_id

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::source_id

The source ID of the local audio track.

## ◆ buffered_pcm_data_list_size

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::buffered_pcm_data_list_size

The number of audio frames in the buffer.

When sending PCM data, the PCM data is first stored in a buffer area. Then a thread gets audio frames from the buffer and sends PCM data.

## ◆ missed_audio_frames

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::missed_audio_frames

The number of audio frames missed by the thread that gets PCM data from the buffer.

## ◆ sent_audio_frames

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::sent_audio_frames

The number of audio frames sent by the thread that gets PCM data from the buffer.

## ◆ pushed_audio_frames

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::pushed_audio_frames

The number of audio frames sent by the user.

## ◆ dropped_audio_frames

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::dropped_audio_frames

The number of dropped audio frames caused by insufficient buffer size.

## ◆ playout_audio_frames

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::playout_audio_frames

The number of playout audio frames.

## ◆ effect_type

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::effect_type

The type of audio effect.

## ◆ hw_ear_monitor

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::hw_ear_monitor

Whether the hardware ear monitor is enabled.

## ◆ enabled

bool agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::enabled

Whether the local audio track is enabled.

## ◆ audio_volume

uint32_t agora::rtc::ILocalAudioTrack::LocalAudioTrackStats::audio_volume

The volume that ranges from 0 to 255.